Index: trunk/NEMO/OPA_SRC/DYN/dynldf.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynldf.F90	(revision 485)
+++ trunk/NEMO/OPA_SRC/DYN/dynldf.F90	(revision 503)
@@ -4,4 +4,6 @@
    !! Ocean physics:  lateral diffusivity trends 
    !!=====================================================================
+   !! History :  9.0  !  05-11  (G. Madec)  Original code (new step architecture)
+   !!----------------------------------------------------------------------
 
    !!----------------------------------------------------------------------
@@ -9,31 +11,26 @@
    !!   dyn_ldf_ctl : initialization, namelist read, and parameters control
    !!----------------------------------------------------------------------
-   !! * Modules used
-   USE oce             ! ocean dynamics and tracers
-   USE dom_oce         ! ocean space and time domain
-   USE phycst          ! physical constants
-   USE ldfdyn_oce      ! ocean dynamics lateral physics
-   USE ldfslp          ! ???
-   USE dynldf_bilapg   ! lateral mixing            (dyn_ldf_bilapg routine)
-   USE dynldf_bilap    ! lateral mixing             (dyn_ldf_bilap routine)
-   USE dynldf_iso      ! lateral mixing               (dyn_ldf_iso routine)
-   USE dynldf_lap      ! lateral mixing               (dyn_ldf_lap routine)
-   USE trdmod          ! ocean dynamics and tracer trends
-   USE trdmod_oce      ! ocean variables trends
-   USE prtctl          ! Print control
-   USE in_out_manager  ! I/O manager
-   USE lib_mpp         ! distribued memory computing library
-   USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
+   USE oce            ! ocean dynamics and tracers
+   USE dom_oce        ! ocean space and time domain
+   USE phycst         ! physical constants
+   USE ldfdyn_oce     ! ocean dynamics lateral physics
+   USE ldfslp         ! lateral mixing: slopes of mixing orientation
+   USE dynldf_bilapg  ! lateral mixing            (dyn_ldf_bilapg routine)
+   USE dynldf_bilap   ! lateral mixing            (dyn_ldf_bilap  routine)
+   USE dynldf_iso     ! lateral mixing            (dyn_ldf_iso    routine)
+   USE dynldf_lap     ! lateral mixing            (dyn_ldf_lap    routine)
+   USE trdmod         ! ocean dynamics and tracer trends
+   USE trdmod_oce     ! ocean variables trends
+   USE prtctl         ! Print control
+   USE in_out_manager ! I/O manager
+   USE lib_mpp        ! distribued memory computing library
+   USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
 
    IMPLICIT NONE
    PRIVATE
 
-   !! *  Routine accessibility
-   PUBLIC dyn_ldf      ! called by step.F90 
+   PUBLIC   dyn_ldf   ! called by step module 
 
-   !! * module variables
-   INTEGER ::                        & 
-      nldf = 0                         ! type of lateral diffusion used
-      !                                ! defined from ln_dynldf_... namlist logicals)
+   INTEGER ::   nldf = 0   ! type of lateral diffusion used defined from ln_dynldf_... namlist logicals)
 
    !! * Substitutions
@@ -42,5 +39,7 @@
    !!---------------------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !!---------------------------------------------------------------------------------
+   !! $Header$
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 
 CONTAINS
@@ -51,12 +50,8 @@
       !! 
       !! ** Purpose :   compute the lateral ocean dynamics physics.
+      !!----------------------------------------------------------------------
+      INTEGER, INTENT(in) ::   kt   ! ocean time-step index
       !!
-      !!----------------------------------------------------------------------
-      !! * Arguments
-      INTEGER, INTENT( in ) ::   kt     ! ocean time-step index
-
-      !! * local declarations
-      REAL(wp), DIMENSION(jpi,jpj,jpk) ::   &
-         ztrdu, ztrdv                         ! 3D temporary workspace
+      REAL(wp), DIMENSION(jpi,jpj,jpk) ::   ztrdu, ztrdv   ! 3D workspace
       !!----------------------------------------------------------------------
 
@@ -69,48 +64,34 @@
 
       SELECT CASE ( nldf )                       ! compute lateral mixing trend and add it to the general trend
+      !
+      CASE ( 0 )    ;   CALL dyn_ldf_lap    ( kt )      ! iso-level laplacian
+      CASE ( 1 )    ;   CALL dyn_ldf_iso    ( kt )      ! rotated laplacian (except dk[ dk[.] ] part)
+      CASE ( 2 )    ;   CALL dyn_ldf_bilap  ( kt )      ! iso-level bilaplacian
+      CASE ( 3 )    ;   CALL dyn_ldf_bilapg ( kt )      ! s-coord. horizontal bilaplacian
+      !
       CASE ( -1 )                                       ! esopa: test all possibility with control print
-         CALL dyn_ldf_lap    ( kt )
-         IF(ln_ctl) THEN         ! print sum trends (used for debugging)
-            CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf0 - Ua: ', mask1=umask, &
-               &          tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         ENDIF
-         CALL dyn_ldf_iso    ( kt )
-         IF(ln_ctl) THEN         ! print sum trends (used for debugging)
-            CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf1 - Ua: ', mask1=umask, &
-               &          tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         ENDIF
-         CALL dyn_ldf_bilap  ( kt )
-         IF(ln_ctl) THEN         ! print sum trends (used for debugging)
-            CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf2 - Ua: ', mask1=umask, &
-               &          tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         ENDIF
-         CALL dyn_ldf_bilapg ( kt )
-         IF(ln_ctl) THEN         ! print sum trends (used for debugging)
-            CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf3 - Ua: ', mask1=umask, &
-               &          tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         ENDIF
-
-      CASE ( 0 )                                       ! iso-level laplacian
-         CALL dyn_ldf_lap    ( kt )
-      CASE ( 1 )                                       ! rotated laplacian (except dk[ dk[.] ] part)
-         CALL dyn_ldf_iso    ( kt )
-      CASE ( 2 )                                       ! iso-level bilaplacian
-         CALL dyn_ldf_bilap  ( kt )
-      CASE ( 3 )                                       ! s-coord. horizontal bilaplacian
-         CALL dyn_ldf_bilapg ( kt )
+         ;              CALL dyn_ldf_lap    ( kt )
+         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf0 - Ua: ', mask1=umask,   &
+            &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+         ;              CALL dyn_ldf_iso    ( kt )
+         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf1 - Ua: ', mask1=umask,   &
+            &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+         ;              CALL dyn_ldf_bilap  ( kt )
+         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf2 - Ua: ', mask1=umask,   &
+            &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+         ;              CALL dyn_ldf_bilapg ( kt )
+         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf3 - Ua: ', mask1=umask,   &
+            &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       END SELECT
 
-      !                                          ! save the horizontal diffusive trends for further diagnostics
-      IF( l_trddyn )   THEN
+      IF( l_trddyn ) THEN                        ! save the horizontal diffusive trends for further diagnostics
          ztrdu(:,:,:) = ua(:,:,:) - ztrdu(:,:,:)
          ztrdv(:,:,:) = va(:,:,:) - ztrdv(:,:,:)
-         CALL trd_mod( ztrdu, ztrdv, jpdtdldf, 'DYN', kt )
+         CALL trd_mod( ztrdu, ztrdv, jpdyn_trd_ldf, 'DYN', kt )
       ENDIF
-
-      IF(ln_ctl) THEN                            ! print mean trends (used for debugging)
-         CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf  - Ua: ', mask1=umask, &
-            &          tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-      ENDIF
-
+      !                                          ! print sum trends (used for debugging)
+      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf  - Ua: ', mask1=umask,   &
+         &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+      !
    END SUBROUTINE dyn_ldf
 
@@ -121,32 +102,23 @@
       !! 
       !! ** Purpose :   initializations of the horizontal ocean dynamics physics
-      !!
-      !! ** Method :
-      !!
-      !! History :
-      !!   9.0  !  05-11  (G. Madec)  Original code
       !!----------------------------------------------------------------------
-      !! * Local declarations
       INTEGER ::   ioptio, ierr         ! temporary integers 
       !!----------------------------------------------------------------------
+    
+      !                                   ! Namelist nam_dynldf: already read in ldfdyn module
 
-      !  Define the lateral dynamics physics parameters
-      ! =============================================
-    
-      ! Namelist nam_dynldf already read in ldfdyn module
-
-      IF(lwp) THEN
+      IF(lwp) THEN                        ! Namelist print
          WRITE(numout,*)
-         WRITE(numout,*) 'dyn:ldf_ctl : Choice of the lateral diffusive operator on dynamics'
+         WRITE(numout,*) 'dyn_ldf_ctl : Choice of the lateral diffusive operator on dynamics'
          WRITE(numout,*) '~~~~~~~~~~~'
-         WRITE(numout,*) '          Namelist nam_dynldf : set lateral mixing parameters (type, direction, coefficients)'
-         WRITE(numout,*) '             laplacian operator          ln_dynldf_lap   = ', ln_dynldf_lap
-         WRITE(numout,*) '             bilaplacian operator        ln_dynldf_bilap = ', ln_dynldf_bilap
-         WRITE(numout,*) '             iso-level                   ln_dynldf_level = ', ln_dynldf_level
-         WRITE(numout,*) '             horizontal (geopotential)   ln_dynldf_hor   = ', ln_dynldf_hor
-         WRITE(numout,*) '             iso-neutral                 ln_dynldf_iso   = ', ln_dynldf_iso
+         WRITE(numout,*) '       Namelist nam_dynldf : set lateral mixing parameters (type, direction, coefficients)'
+         WRITE(numout,*) '          laplacian operator          ln_dynldf_lap   = ', ln_dynldf_lap
+         WRITE(numout,*) '          bilaplacian operator        ln_dynldf_bilap = ', ln_dynldf_bilap
+         WRITE(numout,*) '          iso-level                   ln_dynldf_level = ', ln_dynldf_level
+         WRITE(numout,*) '          horizontal (geopotential)   ln_dynldf_hor   = ', ln_dynldf_hor
+         WRITE(numout,*) '          iso-neutral                 ln_dynldf_iso   = ', ln_dynldf_iso
       ENDIF
 
-      ! control the consistency
+      !                                   ! control the consistency
       ioptio = 0
       IF( ln_dynldf_lap   )   ioptio = ioptio + 1
@@ -159,5 +131,5 @@
       IF( ioptio /= 1 ) CALL ctl_stop( '          use only ONE direction (level/hor/iso)' )
 
-      ! defined the type of lateral diffusion from ln_dynldf_... logicals
+      !                                   ! Set nldf, the type of lateral diffusion, from ln_dynldf_... logicals
       ierr = 0
       IF ( ln_dynldf_lap ) THEN      ! laplacian operator
@@ -196,17 +168,11 @@
          ENDIF
       ENDIF
+      
+      IF( lk_esopa )                 nldf = -1     ! esopa test
 
-      IF( ierr == 1 )   &
-           &   CALL ctl_stop( ' iso-level in z-coordinate - partial step, not allowed' )
-      IF( ierr == 2 )   &
-           &   CALL ctl_stop( ' isoneutral bilaplacian operator does not exist' )
+      IF( ierr == 1 )   CALL ctl_stop( 'iso-level in z-coordinate - partial step, not allowed' )
+      IF( ierr == 2 )   CALL ctl_stop( 'isoneutral bilaplacian operator does not exist' )
       IF( nldf == 1 .OR. nldf == 3 ) THEN      ! rotation
-         IF( .NOT.lk_ldfslp )   &
-           &   CALL ctl_stop(  '          the rotation of the diffusive tensor require key_ldfslp' )
-      ENDIF
-
-      IF( lk_esopa ) THEN
-         IF(lwp ) WRITE(numout,*) '          esopa test: use all lateral physics options'
-         nldf = -1
+         IF( .NOT.lk_ldfslp )   CALL ctl_stop( 'the rotation of the diffusive tensor require key_ldfslp' )
       ENDIF
 
@@ -219,5 +185,5 @@
          IF( nldf ==  3 )   WRITE(numout,*) '              Rotated bilaplacian'
       ENDIF
-
+      !
    END SUBROUTINE dyn_ldf_ctl
 
Index: trunk/NEMO/OPA_SRC/DYN/dynspg.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynspg.F90	(revision 485)
+++ trunk/NEMO/OPA_SRC/DYN/dynspg.F90	(revision 503)
@@ -4,4 +4,7 @@
    !! Ocean dynamics:  surface pressure gradient control
    !!======================================================================
+   !! History :  9.0  !  05-12  (C. Talandier, G. Madec)  Original code
+   !!            9.0  !  05-12  (V. Garnier)  dyn_spg_ctl: Original code
+   !!----------------------------------------------------------------------
 
    !!----------------------------------------------------------------------
@@ -9,5 +12,4 @@
    !!   dyn_spg_ctl : initialization, namelist read, and parameters control
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE oce            ! ocean dynamics and tracers variables
    USE dom_oce        ! ocean space and time domain variables
@@ -29,11 +31,8 @@
    PRIVATE
 
-   !! * Accessibility
    PUBLIC dyn_spg         ! routine called by step module
 
    !! * module variables
-   INTEGER ::                        &
-      nspg = 0                         ! type of surface pressure gradient scheme
-      !                                ! defined from lk_dynspg_... 
+   INTEGER ::   nspg = 0   ! type of surface pressure gradient scheme defined from lk_dynspg_... 
 
    !! * Substitutions
@@ -43,5 +42,5 @@
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
    !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -53,16 +52,10 @@
       !!
       !! ** Purpose :   compute the lateral ocean dynamics physics.
-      !!
-      !! History :
-      !!   9.0  !  05-12  (C. Talandier, G. Madec)  Original code
-      !!----------------------------------------------------------------------
-      !! * Arguments
+      !!----------------------------------------------------------------------
       INTEGER, INTENT( in  ) ::   kt     ! ocean time-step index
       INTEGER, INTENT( out ) ::   kindic ! solver flag
-
-      !! * local declarations
+      !!
       REAL(wp) ::   z2dt                      ! temporary scalar
-      REAL(wp), DIMENSION(jpi,jpj,jpk) ::   &
-         ztrdu, ztrdv                         ! 3D temporary workspace
+      REAL(wp), DIMENSION(jpi,jpj,jpk) ::   ztrdu, ztrdv   ! 3D workspace
       !!----------------------------------------------------------------------
 
@@ -75,42 +68,36 @@
 
       SELECT CASE ( nspg )                       ! compute surf. pressure gradient trend and add it to the general trend
+      !                                                      ! k-j-i loops
+      CASE (  0 )   ;   CALL dyn_spg_exp    ( kt )              ! explicit
+      CASE (  1 )   ;   CALL dyn_spg_ts     ( kt )              ! time-splitting
+      CASE (  2 )   ;   CALL dyn_spg_flt    ( kt, kindic )      ! filtered
+      CASE (  3 )   ;   CALL dyn_spg_rl     ( kt, kindic )      ! rigid lid
+      !                                                      ! j-k-i loops
+      CASE ( 10 )   ;   CALL dyn_spg_exp_jki( kt )              ! explicit with j-k-i loop
+      CASE ( 11 )   ;   CALL dyn_spg_ts_jki ( kt )              ! time-splitting with j-k-i loop
+      CASE ( 12 )   ;   CALL dyn_spg_flt_jki( kt, kindic )      ! filtered with j-k-i loop
+      !
       CASE ( -1 )                                       ! esopa: test all possibility with control print
-         CALL dyn_spg_exp    ( kt )
-         IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' spg0 - Ua: ', mask1=umask, &
-               &                    tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         CALL dyn_spg_ts     ( kt )
-         IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' spg1 - Ua: ', mask1=umask, &
-               &                    tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         CALL dyn_spg_flt  ( kt, kindic )
-         IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' spg2 - Ua: ', mask1=umask, &
-               &                    tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         CALL dyn_spg_exp_jki( kt )
-         IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' spg10- Ua: ', mask1=umask, &
-               &                    tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         CALL dyn_spg_ts_jki ( kt )
-         IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' spg12- Ua: ', mask1=umask, &
-               &                    tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         CALL dyn_spg_flt_jki( kt, kindic )
-         IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' spg13- Ua: ', mask1=umask, &
-               &                    tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-      CASE (  0 )                                       ! explicit
-         CALL dyn_spg_exp    ( kt )
-      CASE (  1 )                                       ! time-splitting
-         CALL dyn_spg_ts     ( kt )
-      CASE (  2 )                                       ! filtered
-         CALL dyn_spg_flt    ( kt, kindic )
-      CASE (  3 )                                       ! rigid lid
-         CALL dyn_spg_rl     ( kt, kindic )
-
-      CASE ( 10 )                                       ! explicit with j-k-i loop
-         CALL dyn_spg_exp_jki( kt )
-      CASE ( 11 )                                       ! time-splitting with j-k-i loop
-         CALL dyn_spg_ts_jki ( kt )
-      CASE ( 12 )                                       ! filtered with j-k-i loop
-         CALL dyn_spg_flt_jki( kt, kindic )
+         ;              CALL dyn_spg_exp    ( kt )
+         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' spg0 - Ua: ', mask1=umask, &
+            &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+         ;              CALL dyn_spg_ts     ( kt )
+         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' spg1 - Ua: ', mask1=umask, &
+            &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+         ;              CALL dyn_spg_flt  ( kt, kindic )
+         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' spg2 - Ua: ', mask1=umask, &
+            &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+         ;              CALL dyn_spg_exp_jki( kt )
+         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' spg10- Ua: ', mask1=umask, &
+            &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+         ;              CALL dyn_spg_ts_jki ( kt )
+         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' spg12- Ua: ', mask1=umask, &
+            &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+         ;              CALL dyn_spg_flt_jki( kt, kindic )
+         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' spg13- Ua: ', mask1=umask, &
+            &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       END SELECT
-
-      !                                          ! save the horizontal diffusive trends for further diagnostics
-      IF( l_trddyn )   THEN
+      !                    
+      IF( l_trddyn )   THEN                      ! save the horizontal diffusive trends for further diagnostics
          SELECT CASE ( nspg )
          CASE ( 0, 1, 3, 10, 11 )
@@ -123,11 +110,10 @@
             ztrdv(:,:,:) = ( va(:,:,:) - vb(:,:,:) ) / z2dt - ztrdv(:,:,:)
          END SELECT
-         CALL trd_mod( ztrdu, ztrdv, jpdtdspg, 'DYN', kt )
-      ENDIF
-
+         CALL trd_mod( ztrdu, ztrdv, jpdyn_trd_spg, 'DYN', kt )
+      ENDIF
       !                                          ! print mean trends (used for debugging)
       IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' spg  - Ua: ', mask1=umask, &
          &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-
+      !
    END SUBROUTINE dyn_spg
 
@@ -139,7 +125,4 @@
       !! ** Purpose :   Control the consistency between cpp options for 
       !!      surface pressure gradient schemes
-      !!
-      !! History :
-      !!   9.0  !  05-10  (V. Garnier)  Original code : spg re-organization
       !!----------------------------------------------------------------------
       !! * Local declarations
Index: trunk/NEMO/OPA_SRC/DYN/dynspg_flt_jki.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynspg_flt_jki.F90	(revision 485)
+++ trunk/NEMO/OPA_SRC/DYN/dynspg_flt_jki.F90	(revision 503)
@@ -9,13 +9,9 @@
    !!   'key_mpp_omp'                              j-k-i loop (vector opt.)
    !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
    !!   dyn_spg_flt_jki : Update the momentum trend with the surface pressure
    !!                     gradient for the free surf. constant volume case
    !!                     with auto-tasking (j-slab) (no vectior opt.)
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-   !!----------------------------------------------------------------------
-   !! * Modules used
    USE oce             ! ocean dynamics and tracers 
    USE dom_oce         ! ocean space and time domain
@@ -51,5 +47,5 @@
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
    !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -100,21 +96,9 @@
       !! ** Action : - Update (ua,va) with the surf. pressure gradient trend
       !!
-      !! References :
-      !!      Roullet and Madec 1999, JGR.
-      !!
-      !! History :
-      !!        !  98-05 (G. Roullet)  Original code
-      !!        !  98-10 (G. Madec, M. Imbard)  release 8.2
-      !!   8.5  !  02-08 (G. Madec)  F90: Free form and module
-      !!        !  02-11 (C. Talandier, A-M Treguier) Open boundaries
-      !!   9.0  !  04-08 (C. Talandier) New trends organization
-      !!    "   !  05-11  (V. Garnier) Surface pressure gradient organization
+      !! References : Roullet and Madec 1999, JGR.
       !!---------------------------------------------------------------------
-      !! * Arguments
       INTEGER, INTENT( in ) ::   kt          ! ocean time-step index
-      INTEGER, INTENT( out ) ::   kindic     ! solver convergence flag
-                                             ! if the solver doesn t converge
-                                             ! the flag is < 0
-      !! * Local declarations
+      INTEGER, INTENT( out ) ::   kindic     ! solver convergence flag, <0 if the solver doesn t converge
+      !!
       INTEGER  ::   ji, jj, jk               ! dummy loop indices
       REAL(wp) ::   &              ! temporary scalars
@@ -154,5 +138,4 @@
             spgv(ji,jj) = - grav * ( sshn(ji  ,jj+1) - sshn(ji,jj) ) / e2v(ji,jj)
          END DO 
-
          !  Add the surface pressure trend to the general trend
          DO jk = 1, jpkm1
@@ -162,5 +145,4 @@
             END DO
          END DO
-
          ! Evaluate the masked next velocity (effect of the additional force not included)
          DO jk = 1, jpkm1
@@ -170,5 +152,4 @@
             END DO
          END DO
-
          !                                             ! ===============
       END DO                                           !   End of slab
@@ -202,5 +183,4 @@
             spgv(ji,jj) = 0.e0
          END DO
-
          ! vertical sum
          DO jk = 1, jpk
@@ -210,5 +190,4 @@
             END DO
          END DO
-
          ! transport: multiplied by the horizontal scale factor
          DO ji = 2, jpim1
@@ -216,5 +195,4 @@
             spgv(ji,jj) = spgv(ji,jj) * e1v(ji,jj)
          END DO
-
          !                                             ! ===============
       END DO                                           !   End of slab
@@ -302,10 +280,9 @@
             WRITE(ctmp1,*) ' ~~~~~~~~~~~~~~~~                not = ', nsolv
             CALL ctl_stop( ' dyn_spg_flt_jki : e r r o r, nsolv = 1, 2, 3 or 4', ctmp1 )
-      ENDIF
-
-      !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,synchro,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-
-!CDIR PARALLEL DO
-!$OMP PARALLEL DO
+         ENDIF
+      ENDIF
+
+      !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,synchro,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+
       !                                                ! ===============
       DO jj = 2, jpjm1                                 !  Vertical slab
@@ -353,6 +330,5 @@
          ! 8. Sea surface elevation time stepping
          ! --------------------------------------
-         ! Euler (forward) time stepping, no time filter
-         IF( neuler == 0 .AND. kt == nit000 ) THEN
+         IF( neuler == 0 .AND. kt == nit000 ) THEN         ! Euler (forward) time stepping, no time filter
             DO ji = 1, jpi
                ! after free surface elevation
@@ -362,6 +338,5 @@
                sshn(ji,jj) = zssha
             END DO
-         ELSE
-            ! Leap-frog time stepping and time filter
+         ELSE                                              ! Leap-frog time stepping and time filter
             DO ji = 1, jpi
                ! after free surface elevation
@@ -384,6 +359,5 @@
          CALL prt_ctl( tab2d_1=sshn, clinfo1=' spg  - ssh: ', mask1=tmask)
       ENDIF
-
-
+      !
    END SUBROUTINE dyn_spg_flt_jki
 
